Bug 437775 - yum fails silently when disk space runs out
yum fails silently when disk space runs out
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-urlgrabber (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-17 08:17 EDT by Bruno Wolff III
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:27:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2008-03-17 08:17:17 EDT
Description of problem:
I was attempting yum updates and then searches this morning and no errors were
being reported but no packages were being updated even though there were some
updates and searches for packages were returning nothing even though they were
in the repositry. After a bit I noticed that / had filled up (but not /tmp) and
then I removed some stuff and tried again and yum worked as expected again.

Version-Release number of selected component (if applicable):
3.2.12-4.fc9

How reproducible:
Once I was in that state it worked that way repeatedly. I don't know if there is
some sensitibity to exactly how much space was left. I had about 500 blocks
available.

Steps to Reproduce:
1.yum clean all
2.fill up disk
3.yum search kernel
  
Actual results:
Yum did not indicate an error but was acting as though things were missing from
the repository.

Expected results:
An error message indicating that there was insufficient disk space to set up the
meta data.

Additional info:
Comment 1 Seth Vidal 2008-03-17 10:00:50 EDT
So, it would exit w/o any other error or output?

If you can still create this  would you run:

yum -d 9 whatever_command_here

I would like to know if it is generating any errors.

thanks
Comment 2 Bruno Wolff III 2008-03-17 16:58:54 EDT
There was nothing that looked like an error message.
There were two progress lines displayed. Normally there are more after having
done a yum clean all. I don't believe there was a nothing to do line output, but
my disk isn't full write now and I don't want to fill it up as that tends to
cause problems. But the situation might reoccur unintentially in which case I'll
try to capture output with script or something.
Also of note for the number of lines output, I have rawhide and livna
development enabled and running from copies on my hard drives.
Comment 3 Bug Zapper 2008-05-14 02:39:26 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jeremy Katz 2008-06-12 14:33:13 EDT
The error seems to be getting caught down in urlgrabber and then not getting
propagated back to yum.

Easy way to reproduce:
  dd if=/dev/zero of=/tmp/test.img bs=1M count=1
  /sbin/mke2fs -F /tmp/test.img
  mount -o loop /tmp/test.img /var/cache/yum
  yum search kernel
Comment 5 Bug Zapper 2009-06-09 19:47:36 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 11:27:09 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.